org.apache.sysds.parser.dml

## Class DmlSyntacticValidator.ConvertedDMLSyntax

- java.lang.Object
- - org.apache.sysds.parser.dml.DmlSyntacticValidator.ConvertedDMLSyntax

Enclosing class:
  DmlSyntacticValidator

    public static class DmlSyntacticValidator.ConvertedDMLSyntax
    extends Object

Information about built in functions converted to a common format between PyDML and DML for the runtime.

### Field Summary

Fields
`String` `functionName`
`String` `namespace`
`ArrayList<ParameterExpression>` `paramExpression`

### Constructor Summary

Constructors
Constructor and Description
`ConvertedDMLSyntax(String namespace, String functionName, ArrayList<ParameterExpression> paramExpression)`

### Method Summary

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### namespace

    public final String namespace

#### functionName

    public final String functionName

#### paramExpression

    public final ArrayList<ParameterExpression> paramExpression

### Constructor Detail

#### ConvertedDMLSyntax

    public ConvertedDMLSyntax(String namespace,
                              String functionName,
                              ArrayList<ParameterExpression> paramExpression)